de.esprit.netsuite.server.chmesg

## Class DefaultServerMessageDispatcher<S extends ServerContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<S>
      - - de.esprit.netsuite.server.chmesg.DefaultServerMessageDispatcher<S>

- All Implemented Interfaces:
    ApplicationObject<S>, SimpleLogSupport, Dumpable, ServerMessageDispatcher, ServerObject<S>

      public class DefaultServerMessageDispatcher<S extends ServerContext>
      extends AbstractServerObject<S>
      implements ServerMessageDispatcher

  This class implements the default message dispatching rules. It may be replaced by a custom ServerMessageDispatcher instance if different delivering rules have to be applied.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultServerMessageDispatcher(S serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `deliverMessage(Session session, NetMessage msg)`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager, toString`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultServerMessageDispatcher

          public DefaultServerMessageDispatcher(S serverCtx)

  - ### Method Detail

    - #### deliverMessage

          public boolean deliverMessage(Session session,
                               NetMessage msg)

      Specified by:
        `deliverMessage` in interface `ServerMessageDispatcher`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.